package domain

type AlibabaHmMarketingFullrangeQueryitemItemPoolSku struct {
	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   换购价格     */
	ExchangePrice *int64 `json:"exchange_price,omitempty" `

	/*
	   换购限量     */
	ExchangeTotalLimit *int64 `json:"exchange_total_limit,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeQueryitemItemPoolSku) SetSkuName(v string) *AlibabaHmMarketingFullrangeQueryitemItemPoolSku {
	s.SkuName = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemItemPoolSku) SetSkuCode(v string) *AlibabaHmMarketingFullrangeQueryitemItemPoolSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemItemPoolSku) SetExchangePrice(v int64) *AlibabaHmMarketingFullrangeQueryitemItemPoolSku {
	s.ExchangePrice = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemItemPoolSku) SetExchangeTotalLimit(v int64) *AlibabaHmMarketingFullrangeQueryitemItemPoolSku {
	s.ExchangeTotalLimit = &v
	return s
}
